"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable-next-line
const __1 = require("..");
const stream_1 = require("stream");
// tslint:disable no-console
async function work() {
    const args = process.argv.slice(2);
    const [method, url, version, insecure] = args;
    const rejectUnauthorized = insecure !== "insecure";
    __1.setup({
        http1: {
            keepAlive: false,
        },
        ...(!version ? {} : {
            httpProtocol: version,
            httpsProtocols: [version],
        }),
        session: { rejectUnauthorized },
    });
    const response = await __1.fetch(url, {
        method: method,
        redirect: 'follow',
    });
    stream_1.pipeline(await response.readable(), process.stdout, err => {
        if (!err)
            return;
        console.error("Failed to fetch", err.stack);
        process.exit(1);
    });
}
work()
    .catch(err => { console.error(err, err.stack); });
//# sourceMappingURL=index.js.map