"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeMakeServer = void 0;
const fs_1 = require("fs");
const path = require("path");
const server_http1_1 = require("./server-http1");
const server_http2_1 = require("./server-http2");
const key = fs_1.readFileSync(path.join(process.cwd(), "certs", "key.pem"));
const cert = fs_1.readFileSync(path.join(process.cwd(), "certs", "cert.pem"));
function makeMakeServer({ proto, version }) {
    const makeServer = (opts) => {
        const serverOptions = (opts && opts.serverOptions) ? opts.serverOptions : {};
        if (proto === "https:") {
            opts = {
                serverOptions: {
                    cert,
                    key,
                    ...serverOptions,
                },
                ...(opts ? opts : {}),
            };
        }
        return version === "http1"
            ? server_http1_1.makeServer(opts)
            : server_http2_1.makeServer(opts);
    };
    const cycleOpts = {
        httpProtocol: version,
        httpsProtocols: [version],
        session: { rejectUnauthorized: false },
    };
    return { makeServer, cycleOpts };
}
exports.makeMakeServer = makeMakeServer;
//# sourceMappingURL=server-helpers.js.map