"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ensureStatusSuccess = exports.cleanUrl = exports.createIntegrity = void 0;
const crypto_1 = require("crypto");
function createIntegrity(data, hashType = "sha256") {
    const hash = crypto_1.createHash(hashType);
    hash.update(data);
    return hashType + "-" + hash.digest("base64");
}
exports.createIntegrity = createIntegrity;
exports.cleanUrl = (url) => url.replace(/^http[12]:\/\//, "http://");
function ensureStatusSuccess(response) {
    if (response.status < 200 || response.status >= 300)
        throw new Error("Status not 2xx");
    return response;
}
exports.ensureStatusSuccess = ensureStatusSuccess;
//# sourceMappingURL=utils.js.map